(cond ((fboundp 'open-window) )
      (t (princ "Loading X11 support ...") (terpri)
	 (si::faslink "/usr/local/lib/akcl/X11-support/littleXlsp.o" 
	              "/usr/local/lib/akcl/X11-support/littleXwin.o -L/usr/X386/lib -lX11 -lc")
	 (princ "Finished") (terpri)))

(defun Xdemo ()
  (setq W1 (open-window))
  (setq W2 (open-window))
  (resize-window w1 200 150)
  (resize-window w2 240 225)
  (set-background w1 "red")
  (clear-window w1)
  (set-foreground "blue")
  (draw-line w1 5 5 100 5)
  (draw-line w1 100 100 100 5)
  (draw-line w1 100 100 5 100)
  (dotimes (i 20)
	   (draw-line w1 5 (* i 5) (* i 5) (* i 5)))
  (dotimes (i 20)
	   (erase-line w1 (+ 7 (* i 5)) 10 (+ 7 (* i 5)) 95))
  (use-font "fixed")
  (draw-text w1 "A Design" 10 112)
  (clear-text w1 "De" 22 112)
  (dotimes (i 25)
	   (set-background w2 (format nil "#~2,'0X~2,'0X~2,'0X" (* i 10) (* i 10) (* i 10)))
	   (clear-window w2))
  (set-foreground "black")
  (dotimes (i 20)
	   (draw-arc w2 5 100 100 (- 100 (* i 5)) 0 (* 360 64)))
  (dotimes (i 20)
	   (draw-arc w2 5 (- 100 (* i 5)) 100 (* i 5) 0 (* 360 64)))
  (set-arc-mode 'pie)
  (dotimes (i 10)
	   (fill-arc w2 115 5 100 100 (* i 64 36) (* 64 18)))
  (set-arc-mode 'chord)
  (dotimes (i 10)
	   (fill-arc w2 115 105 100 100 (* i 64 36) (* 64 36 3)))
  (dotimes (i 5)
	   (clear-arc w2 115 105 100 100 (* i 64 36 2) (* 64 36 2)))
  (use-font "-b&h-lucidabright-demibold-i-normal--18-180-75-75-p-107-iso8859-1")
  (draw-text w2 "A Bunch of Wierd Things" 2 220)
  (clear-window w1)
  (close-window w1)
  (close-window w2))

(defun mystep (p)
  (cond ((null p) t)
	(t (print (car p))
	   (read-char)
	   (eval (car p))
	   (mystep (cdr p)))))

(defun demo () (mystep (cdddr (symbol-function 'Xdemo))))

(princ "Now type:") (terpri)
(princ "  (Xdemo) ;to run the demo") (terpri)
(Xdemo)
(princ "  (demo)  ;to step accross the demo") (terpri)
(princ "Enjoy!") (terpri)



